Loading...
Searching...
No Matches
Graph::InArcIt Class Reference

## Detailed Description

This iterator goes trough the incoming directed arcs of a certain node of a graph. Its usage is quite simple, for example, you can count the number of incoming arcs of a node `n` in a graph `g` of type `Graph` as follows.

int count=0;
for (Digraph::InArcIt a(g, n); a!=INVALID; ++a) ++count;
lemon::INVALID
const Invalid INVALID
Invalid iterators.
Definition base.cc:32

`#include <lemon/concepts/graph.h>`

## Public Member Functions

| InArcIt ()
| Default constructor.
| InArcIt (const InArcIt &e)
| Copy constructor.
| InArcIt (Invalid)
| Invalid constructor & conversion.
| InArcIt (const Graph &g, const Node &n)
| Sets the iterator to the first incoming arc.
| InArcIt (const Graph &, const Arc &)
| Sets the iterator to the given arc.
InArcIt & | operator++ ()
| Next incoming arc.

## Constructor & Destructor Documentation

## InArcIt() [1/5]

InArcIt | ( |  | ) |

inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

## InArcIt() [2/5]

InArcIt | ( | const InArcIt & | e | ) |

inline

Copy constructor.

## InArcIt() [3/5]

InArcIt | ( | Invalid |  | ) |

inline

Initializes the iterator to be invalid.

See also
  Invalid for more details.

## InArcIt() [4/5]

InArcIt | ( | const Graph & | g,
|  | const Node & | n )

inline

Sets the iterator to the first incoming arc of the given node.

## InArcIt() [5/5]

InArcIt | ( | const Graph & | ,
|  | const Arc & | )

inline

Sets the iterator to the given arc of the given graph.

## Member Function Documentation

## operator++()

InArcIt & operator++ | ( |  | ) |

inline

Assign the iterator to the next incoming arc of the corresponding node.